module harness(
    input       io_asyncResetn,
    input logic i_sysclk,       // Controller Clock (100MHz)

    //MII Interface
    input   wire                    mii_rx_clk,
    input   wire    [3:0]           mii_rxd,
    input   wire                    mii_rx_dv,
    input   wire                    mii_rx_er,
    input   wire                    mii_tx_clk,
    output  wire    [3:0]           mii_txd,
    output  wire                    mii_tx_en,
    output  wire                    mii_tx_er,

    // MDIO Interface
    input                   i_Mdi,
    output                  o_Mdo,
    output                  o_MdoEn,
    output                  o_Mdc
);

`define RTL_SIM
`define SIM


audio_qam_fpga dut(
    .io_asyncResetn(io_asyncResetn),
    .i_sysclk(i_sysclk),
    
    // MII
    .mii_rx_clk (mii_rx_clk),
    .mii_rxd    (mii_rxd),
    .mii_rx_dv  (mii_rx_dv),
    .mii_rx_er  (mii_rx_er),
    .mii_tx_clk (mii_tx_clk),
    .mii_txd    (mii_txd),
    .mii_tx_en  (mii_tx_en),
    .mii_tx_er  (mii_tx_er),

    .i_Mdi      (i_Mdi),
    .o_Mdo      (o_Mdo),
    .o_MdoEn    (o_MdoEn),
    .o_Mdc      (o_Mdc)
);

endmodule