import socket
import struct
import argparse

UDP_IP = "172.0.0.2"
UDP_PORT = 8000

def read_reg(addr: int) -> int:
    sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    sock.connect((UDP_IP, UDP_PORT))
    sock.send(struct.pack(">LLL", 0, 0, 0))
    data = sock.recv(12)

    _, _, val = struct.unpack(">LLL", data)

    return val

def write_reg(addr: int, data: int) -> None:
    sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    sock.connect((UDP_IP, UDP_PORT))
    sock.send(struct.pack(">bbbbLL", 1, 0, 0, 0, addr, data))
    sock.recv(12) # The FPGA will send an empty response.

def main():
    parser = argparse.ArgumentParser("reg_access")

    parser.add_argument("address")
    parser.add_argument("wdata", nargs="?")


    args = parser.parse_args()

    address = int(args.address, 0)


    if args.wdata is not None:
        wdata = int(args.wdata, 0)
        write_reg(address, wdata)
    else:
        data = read_reg(address)
        print(f"{data:#x}")

if __name__ == "__main__":
    main()